%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_devel %mklibname %{name} -d

Summary:        Lotus Sametime Community Client library
Name:           meanwhile
Version:        1.1.1
Release:        %mkrel 2

License:	LGPL
Group:		System/Libraries
URL:		https://github.com/obriencj/meanwhile

Source: 	https://github.com/obriencj/meanwhile/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Patch0:		meanwhile-use-libtommath.patch
Patch1:		meanwhile-fix-warnings.patch
Patch2:		meanwhile-fix-groupchat.patch
Patch3:		meanwhile-fix-filetransfer.patch
BuildRequires:	glib2-devel >= 2.2
BuildRequires:	tommath-devel
BuildRequires:	doxygen

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_name}
Summary: Library used for Lotus Sametime connectivity
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_devel}
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}%{name}1-devel

%description -n %{lib_devel}
This package contains the header files and static libraries for %{name}.
If you would like to develop programs using %{name}, you will need to
install %{name}-devel.

%package -n %{name}-doc
Summary: Documentation for the %{name} library
Group: Documentation
Obsoletes: %{_lib}%{name}1-doc
Provides: %{_lib}%{name}1-doc

%description -n %{name}-doc
Documentation for the %{name} library. 

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure2_5x --disable-doxygen --disable-mailme --disable-static
%make_build

%install
rm -rf %buildroot
%make_install sampledir=%{_datadir}/doc/%{name}/samples

chmod a-x %{buildroot}%{_datadir}/doc/%{name}/samples/build

# don't ship .la, .a
rm -f %{buildroot}%{_libdir}/libmeanwhile.{a,la}

%files -n %{lib_name}
%{_libdir}/libmeanwhile.so.%{lib_major}*

%files -n %{lib_devel}
%{_includedir}/meanwhile/
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files -n %{name}-doc
%{_datadir}/doc/%{name}/


%changelog
* Fri Dec 08 2023 tex - 1.1.1-2pclos2023
- rebuild against updates

* Fri Dec 04 2020 tex - 1.1.1-1pclos2020
- new version
